#
# spec file for package fileutils (Version 4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         fileutils
Copyright:    GPL
Group:        Applications/File
Obsoletes:    fileutil
Autoreqprov:  on
Version:      4.1
Release:      65
Summary:      Basic programs such as cp, mkdir, ln, ls
Source: fileutils-%{version}.tar.gz
Patch: fileutils-%{version}.dif
BuildRoot: /tmp/buildroot-%{name}

%description
GNU fileutils: the basic file manipulation programs

Authors:
--------
    Jim Meyering <meyering@ascend.com>

SuSE series: a

%prep
%setup
%patch

%build
CFLAGS=$RPM_OPT_FLAGS INSTALL_PROGRAM='${INSTALL} -s' \
./configure --prefix=%{_prefix} --bindir=/bin --mandir=%{_mandir} \
	    --infodir=%{_infodir} --without-included-regex
make
make check
test $EUID -ne 0 || make check-root

%install
make DESTDIR="$RPM_BUILD_ROOT" install
install -d $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT%{_bindir}
#install -m 644 suse.dircolor $RPM_BUILD_ROOT/etc/DIR_COLORS
for i in du install mkfifo dircolors dir vdir shred; do \
	mv $RPM_BUILD_ROOT/bin/$i $RPM_BUILD_ROOT%{_bindir}/$i; \
done
ln -sf ../../bin/touch $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS
/bin/chgrp
/bin/chmod
/bin/chown
/bin/cp
/bin/dd
/bin/df
/bin/ln
/bin/ls
/bin/mkdir
/bin/mknod
/bin/mv
/bin/rm
/bin/rmdir
/bin/sync
/bin/touch
%{_bindir}/dir
%{_bindir}/dircolors
%{_bindir}/du
%{_bindir}/install
%{_bindir}/mkfifo
%{_bindir}/shred
%{_bindir}/touch
%{_bindir}/vdir
%doc %{_infodir}/fileutils.info.gz
%{_prefix}/share/locale/*/LC_MESSAGES/fileutils.mo
%doc %{_mandir}/man1/chgrp.1.gz
%doc %{_mandir}/man1/chmod.1.gz
%doc %{_mandir}/man1/chown.1.gz
%doc %{_mandir}/man1/cp.1.gz
%doc %{_mandir}/man1/dd.1.gz
%doc %{_mandir}/man1/df.1.gz
%doc %{_mandir}/man1/dir.1.gz
%doc %{_mandir}/man1/dircolors.1.gz
%doc %{_mandir}/man1/du.1.gz
%doc %{_mandir}/man1/install.1.gz
%doc %{_mandir}/man1/ln.1.gz
%doc %{_mandir}/man1/ls.1.gz
%doc %{_mandir}/man1/mkdir.1.gz
%doc %{_mandir}/man1/mkfifo.1.gz
%doc %{_mandir}/man1/mknod.1.gz
%doc %{_mandir}/man1/mv.1.gz
%doc %{_mandir}/man1/rm.1.gz
%doc %{_mandir}/man1/rmdir.1.gz
%doc %{_mandir}/man1/shred.1.gz
%doc %{_mandir}/man1/sync.1.gz
%doc %{_mandir}/man1/touch.1.gz
%doc %{_mandir}/man1/vdir.1.gz

%changelog -n fileutils
* Sun Jul 15 2001 - schwab@suse.de
- Fix syntax in zh message translation file and remove fuzzy marker from
  first entry (#9307).
* Thu May 10 2001 - schwab@suse.de
- Update to 4.1.
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue Jan 02 2001 - schwab@suse.de
- Update to 4.0.35.
* Fri Dec 08 2000 - schwab@suse.de
- Fix endless loop on invalid multibyte sequence in mbswidth.
* Mon Dec 04 2000 - schwab@suse.de
- Avoid testsuite failure on filesystems that reorder files.
- Don't fail in install just because strip failed.
* Wed Nov 29 2000 - schwab@suse.de
- Update to 4.0.33.
* Tue Oct 24 2000 - schwab@suse.de
- Renamed from fileutil.
* Thu Sep 28 2000 - schwab@suse.de
- Avoid declaring strndup if defined as macro.
* Wed Sep 06 2000 - schwab@suse.de
- Fix `install -D' when the directory does not exist.
* Wed May 24 2000 - schwab@suse.de
- Fix configure check for strftime (#2847).
* Tue May 23 2000 - schwab@suse.de
- Switch to BuildRoot.
- Move /usr/bin/touch to /bin/touch.
* Wed Apr 05 2000 - schwab@suse.de
- Fix chown and chgrp on symlinks.
* Fri Feb 25 2000 - schwab@suse.de
- Disable rm/r-2 test, not portable.
* Tue Feb 22 2000 - schwab@suse.de
- lib/human.c: include <string.h>.
* Mon Feb 14 2000 - schwab@suse.de
- Fix case of moving directory onto itself (#1994).
* Mon Jan 31 2000 - schwab@suse.de
- Fix crash due to wrong format string.
* Mon Jan 17 2000 - schwab@suse.de
- /usr/{info,man} -> /usr/share/{info,man}.
* Wed Dec 15 1999 - schwab@suse.de
- Don't strip slashes from arguments of ls.
* Thu Dec 02 1999 - schwab@suse.de
- don't stat symlink if not necessary
- put back "./" in recursive listing
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - schwab@suse.de
- fix typo
* Mon Sep 06 1999 - schwab@suse.de
- lib/getline.h: dont redeclare for glibc.  oops.
- run "make check"
* Thu Aug 26 1999 - schwab@suse.de
- update to 4.0
* Fri Dec 18 1998 - ro@suse.de
- lib/getline.h:  dont redeclare for glibc
* Mon Sep 21 1998 - ro@suse.de
- add _GNU_SOURCE where getopt_long is used
- dont redeclare stpcpy if defined (is a macro)
* Mon Aug 31 1998 - ro@suse.de
- use sync.c from fileutils / added manpage from util-linux-2.6: sync.8
* Fri Aug 28 1998 - ro@suse.de
- fixed lib/userspec.c  : check if strdup is a macro before declaring
- fixed lib/mountlist.c : check if strstr is a macro before declaring
* Sat Apr 26 1997 - florian@suse.de
- add bug-fixes from gnu.utils.bugs
* Sun Apr 13 1997 - florian@suse.de
- update to new version 3.16
- be careful with changed color-ls-handling in /etc/profile
